node {
 def Registryproject='registry.gitlab.com/wassim.boumiza/push_vers_une_registry_docker'
 def IMAGE="${Registryproject}:version-${env.BUILD_ID}"    

stage('clone')
{
    checkout scm

}

def img = stage('Build image') {
    app = docker.build("$IMAGE", '.')
} 

stage('RUN IMAGE') {

    img.withRun("--name $IMAGE -p 8091:8091")
    


   { c ->
    sh 'docker ps'
    sh 'curl localhost:8090'
}
}

stage('PUSH') {
docker.withRegistry('https://registry.gitlab.com', 'reg1') {

img.push 'latest'
img.push()
}
}
}
